<script>
	import {
		mapState,
		mapActions
	} from 'vuex'
	export default {
		computed: {
			...mapState(['token'])
		},
		onLaunch: function() {
			console.log('App Launch')
			if (this.token) {
				this.getUserInfo()
			} else {
				// #ifdef H5
				uni.reLaunch({
					url: '/pages/login/login'
				})
				// #endif
			}
		},
		onShow: function() {
			console.log('App Show')
			uni.hideTabBar()
		},
		onHide: function() {
			console.log('App Hide')
		},
		methods: {

			...mapActions(['getUserInfo']),
		}
	}
</script>
<!-- 
	待完成：
		1. 短剧列表 -
		3. 邀请好友收入 -
		4. 数据收益 -
		5. 任务详情
		6. 我的钱包，收益提现等
		7. 我的-账号管理
		8. 我的-邀请好友 -
		9. 消息 -
		
		1. 推广操作，我的推广链接
		2. 小程序首页的变现项目里的我要加入，是个什么操作，麻雀的是跳转app下载链接页
		3. 邀请好友操作
		4. 提现操作
		5. 账号管理新建账号
		
		任务接口：
		1. 少了图片字段
		2. 视频数、播放数、评论数、获赞数。这个不知道先需要做成什么样需要问问
		3. 详情里的播放排行也需要确定下
 -->
<style lang="scss">
	/* 注意要写在第一行，同时给style标签加入lang="scss"属性 */
	@import "@/uni_modules/uview-ui/index.scss";

	page {
		background-color: #f7f8fa;
	}

	.link-text {
		color: $uni-theme;
	}

	.c-menu {
		border-radius: 10upx;
		margin-top: 20upx;
		background-color: #fff;
	}

	::v-deep .c-menu .u-form-item:last-child {
		.u-line {
			display: none !important;
		}
	}

	::v-deep .c-menu .u-cell:last-child {
		.u-line {
			display: none !important;
		}
	}

	.c-btn:active {
		opacity: 0.6;
	}


	.wrap {
		background-color: #F7F8FA;
		height: 100vh;
		position: relative;
		overflow: auto;
	}

	.w-full {
		width: 100%;
	}

	.h-full {
		height: 100%;
	}

	.flex {
		display: flex;
	}

	.flex-1 {
		flex: 1;
	}

	.flex-row {
		flex-direction: row;
	}

	.flex-col {
		flex-direction: column;
	}

	.justify-start {
		justify-content: flex-start;
	}

	.justify-end {
		justify-content: flex-end;
	}

	.justify-center {
		justify-content: center;
	}

	.justify-between {
		justify-content: space-between;
	}

	.items-start {
		align-items: flex-start;
	}

	.items-end {
		align-items: flex-end;
	}

	.items-center {
		align-items: center;
	}

	.flex-wrap {
		flex-wrap: wrap;
	}

	.flex-nowrap {
		flex-wrap: nowrap;
	}

	.p-20 {
		padding: 20upx;
	}

	.p-30 {
		padding: 30upx;
	}

	.p-d-20 {
		padding: 20upx 0;
	}

	.p-r-20 {
		padding: 0 20upx;
	}

	.bg-white {
		background-color: #ffffff;
	}

	.rounded {
		border-radius: 20upx;
	}

	.ellipsis {
		overflow: hidden;
		text-overflow: ellipsis;
		white-space: nowrap;
	}
</style>